#!/bin/bash
# (c) Holger Klemm 2007
# SpinDown-Script
# Formats DVD-RAM and others
# Author: Holger Klemm [dvd-ram@multimedia4linux.de]
# Updates/Infos: www.multimedia4linux.de
# License: GPL 2.0
# Version: 0.1
DEVICEPATH=`echo $1`
export NEWDEVICE=`echo $DEVICEPATH | sed "s|system:/media|/dev|"`
export NEWDEVICE=`echo $DEVICEPATH | sed "s|media:|/dev|"`
UDIDEVICE=`hal-find-by-property --key block.device --string $NEWDEVICE | grep -i storage`
BUSTYPE=`hal-get-property --udi $UDIDEVICE --key storage.bus`

# For IDE Devices
if test $BUSTYPE = "ide" ; then
kdesu -d -c "hdparm -y $NEWDEVICE"

# For SCSI/SATA Devices
elif test $BUSTYPE = "scsi" ; then
kdesu -d -c "sdparm --command=stop $NEWDEVICE"

else
kdialog --icon "cdwriter_unmount" --caption "KDVD-RAM Tools" --error "ERROR \n Please check if hdparm (for IDE device) or sdparm (for SCSI/SATA device) is installed!"
fi
